package uy.edu.fing.tse.jsf;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import uy.edu.fing.tse.central.business.security.SecurityLocal;
import uy.edu.fing.tse.dto.UserBO;

import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import java.io.Serializable;

@RequestScoped
@Named("userLoginView")
public class UserLoginBean implements Serializable {

    private static final long serialVersionUID = -7674319505640122631L;

    private static final Logger LOG = LoggerFactory.getLogger(UserLoginBean.class);
    @EJB
    private SecurityLocal securityLocal;

    final UserBO user = new UserBO();
    private String repassword;

    public UserBO getUser() {
        return user;
    }

    public String getRepassword() {
        return repassword;
    }

    public void setRepassword(String repassword) {
        this.repassword = repassword;
    }


    public void login() {

        final var s = securityLocal.login(user);
        LOG.info(s);
    }

    public void register() {
        final var s = securityLocal.register(user);
    }

}
